Bug 433234 - Review Request: demorse - Command line tool for decoding Morse code signals
Review Request: demorse - Command line tool for decoding Morse code signals
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 17:22 EST by Robert 'Bob' Jensen
Modified: 2008-02-20 21:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 22:39:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-17 17:22:53 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/demorse.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/demorse-0.8-3.fc8.src.rpm
Description: demorse is a non-interactive command line tool for decoding Morse code signals into text. demorse detects the "dihs" and "dahs" that make a Morse code character via the computer's sound card, which can be connected to a radio 
receiver tuned to a CW Morse code transmission or to a tone generator.

Packages build on F7 and F8 all are rpmlint clean.
Comment 1 Jeroen van Meeuwen 2008-02-18 11:31:13 EST
md5sum between upstream source tarball and included tarball in SRPM do not match
- did not yet run any other tests
Comment 2 Robert 'Bob' Jensen 2008-02-18 11:43:43 EST
d96d63ba6f43b9d22ae8e910d4544d95 demorse-0.8.tar.gz
Comment 3 Jeroen van Meeuwen 2008-02-18 12:57:29 EST
RPM Lint:
Package name: OK
Spec file: OK
License: OK
Actual License: OK (from source code)
%doc License: OK (missing COPYING or License file, upstream queried)
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sums match)
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: OK

Applicable Package Guidelines:
 - -debuginfo package: too small (~4.7K)

Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: N/A, OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Please remove the -debuginfo package by patching the upstreams Makefile,
removing --strip on line ~17.
Comment 4 Jeroen van Meeuwen 2008-02-18 13:01:11 EST
RPMLint is also OK btw ;-)
Comment 5 Robert 'Bob' Jensen 2008-02-18 13:09:22 EST
the --strip is removed in the Makefile patch already, not sure what else to do.
Comment 6 Jeroen van Meeuwen 2008-02-18 13:17:19 EST
I cannot find where it gets -debuginfo from, if I run
/usr/lib/rpm/find-debuginfo.sh manually it returns a couple of empty lists.

So, not going to let this hold back the package:

APPROVED
Comment 7 Robert 'Bob' Jensen 2008-02-18 13:20:02 EST
New Package CVS Request
=======================
Package Name: demorse
Short Description: Command line tool for decoding Morse code signals
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindrepb
Cvsextras Commits: Yes
Comment 8 Kevin Fenzi 2008-02-18 15:36:39 EST
The debuginfo looks fine to me. It's so small because the executable in the main
package is also very very small. It seems to be there and looks good though. 

cvs done.
Comment 9 Fedora Update System 2008-02-19 22:09:28 EST
demorse-0.8-3.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-02-19 22:09:59 EST
demorse-0.8-3.fc7 has been submitted as an update for Fedora 7
Comment 11 Fedora Update System 2008-02-20 21:54:13 EST
demorse-0.8-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-02-20 21:54:21 EST
demorse-0.8-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.